<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnAddUser()">getBtnAddUser()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnBack()">getBtnBack()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnCallTime()">getBtnCallTime()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getBtnCancel()">getBtnCancel()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getBtnCancel()">getBtnCancel()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getBtnCreate()">getBtnCreate()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnDeleteUser()">getBtnDeleteUser()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnDisconnect()">getBtnDisconnect()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnEditUser()">getBtnEditUser()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnFailedCall()">getBtnFailedCall()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getBtnLogin()">getBtnLogin()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getBtnModifDel()">getBtnModifDel()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnOperators()">getBtnOperators()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnQuit()">getBtnQuit()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnSuccessCall()">getBtnSuccessCall()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getBtnTotalCall()">getBtnTotalCall()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getComboBoxRole()">getComboBoxRole()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getComboBoxRole()">getComboBoxRole()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getComboBoxSupervisor()">getComboBoxSupervisor()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getComboBoxSupervisor()">getComboBoxSupervisor()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getComboBoxUserSelection()">getComboBoxUserSelection()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getContentPane()">getContentPane()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getContentPane()">getContentPane()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getContentPane()">getContentPane()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getContentPane()">getContentPane()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getDate()">getDate()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getDateChooser()">getDateChooser()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Role.html#getDescription()">getDescription()</a></span> - Method in class model.classes.<a href="../model/classes/Role.html" title="class in model.classes">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Status.html#getDescription()">getDescription()</a></span> - Method in class model.classes.<a href="../model/classes/Status.html" title="class in model.classes">Status</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getDirection()">getDirection()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getDuration()">getDuration()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getExtern_person()">getExtern_person()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Person.html#getFirstname()">getFirstname()</a></span> - Method in class model.classes.<a href="../model/classes/Person.html" title="class in model.classes">Person</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getIdCall()">getIdCall()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Permission.html#getIdPermission()">getIdPermission()</a></span> - Method in class model.classes.<a href="../model/classes/Permission.html" title="class in model.classes">Permission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Person.html#getIdPerson()">getIdPerson()</a></span> - Method in class model.classes.<a href="../model/classes/Person.html" title="class in model.classes">Person</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Role.html#getIdRole()">getIdRole()</a></span> - Method in class model.classes.<a href="../model/classes/Role.html" title="class in model.classes">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Status.html#getIdStatus()">getIdStatus()</a></span> - Method in class model.classes.<a href="../model/classes/Status.html" title="class in model.classes">Status</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/ConnectionPostgreSql.html#getInstance()">getInstance()</a></span> - Static method in class model.DAO.<a href="../model/DAO/ConnectionPostgreSql.html" title="class in model.DAO">ConnectionPostgreSql</a></dt>
<dd>
<div class="block">Establish the connection with the database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#getIsConnected()">getIsConnected()</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Person.html#getLastname()">getLastname()</a></span> - Method in class model.classes.<a href="../model/classes/Person.html" title="class in model.classes">Person</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblCallTime()">getLblCallTime()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblDate()">getLblDate()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getLblError()">getLblError()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getLblError()">getLblError()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblFailedCall()">getLblFailedCall()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblFirstname()">getLblFirstname()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblLastname()">getLblLastname()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getLblLogin()">getLblLogin()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblLogin()">getLblLogin()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblModifDel()">getLblModifDel()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblOperators()">getLblOperators()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getLblPassword()">getLblPassword()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblPassword()">getLblPassword()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblRole()">getLblRole()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getLblSignIn()">getLblSignIn()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblSuccessCall()">getLblSuccessCall()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblSupervisor()">getLblSupervisor()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblSure()">getLblSure()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblTableTitle()">getLblTableTitle()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getLblTotalCall()">getLblTotalCall()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getLblUserSelection()">getLblUserSelection()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#getLogin()">getLogin()</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Permission.html#getName()">getName()</a></span> - Method in class model.classes.<a href="../model/classes/Permission.html" title="class in model.classes">Permission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/RolePermission.html#getOne_permission()">getOne_permission()</a></span> - Method in class model.classes.<a href="../model/classes/RolePermission.html" title="class in model.classes">RolePermission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/RolePermission.html#getOne_role()">getOne_role()</a></span> - Method in class model.classes.<a href="../model/classes/RolePermission.html" title="class in model.classes">RolePermission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getOne_status()">getOne_status()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#getOperator()">getOperator()</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#getPassword()">getPassword()</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getPasswordUserField()">getPasswordUserField()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/ExternPerson.html#getPhoneNumber()">getPhoneNumber()</a></span> - Method in class model.classes.<a href="../model/classes/ExternPerson.html" title="class in model.classes">ExternPerson</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getRdbtnDate()">getRdbtnDate()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getRdbtnMonth()">getRdbtnMonth()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getRdbtnThisYear()">getRdbtnThisYear()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getRdbtnToday()">getRdbtnToday()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getRdnbuttongroup()">getRdnbuttongroup()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getScrollPane()">getScrollPane()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/AddUserController.html#getSelectedRole()">getSelectedRole()</a></span> - Method in class controllers.<a href="../controllers/AddUserController.html" title="class in controllers">AddUserController</a></dt>
<dd>
<div class="block">Method used to get the selected role in the combo box</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/AddUserController.html#getSelectedSupervisor()">getSelectedSupervisor()</a></span> - Method in class controllers.<a href="../controllers/AddUserController.html" title="class in controllers">AddUserController</a></dt>
<dd>
<div class="block">Method used to get the selected supervisor in the combo box</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#getSupervisor()">getSupervisor()</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/AddUserController.html#getSupervisors()">getSupervisors()</a></span> - Method in class controllers.<a href="../controllers/AddUserController.html" title="class in controllers">AddUserController</a></dt>
<dd>
<div class="block">Method used to get the all the supervisors</div>
</dd>
<dt><span class="memberNameLink"><a href="../views/MainView.html#getTable()">getTable()</a></span> - Method in class views.<a href="../views/MainView.html" title="class in views">MainView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../table/TableColorRenderer.html#getTableCellRendererComponent(javax.swing.JTable,java.lang.Object,boolean,boolean,int,int)">getTableCellRendererComponent(JTable, Object, boolean, boolean, int, int)</a></span> - Method in class table.<a href="../table/TableColorRenderer.html" title="class in table">TableColorRenderer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getTextFieldFirstname()">getTextFieldFirstname()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getTextFieldLastname()">getTextFieldLastname()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/AddUserView.html#getTextFieldLogin()">getTextFieldLogin()</a></span> - Method in class views.<a href="../views/AddUserView.html" title="class in views">AddUserView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getTxtFirstname()">getTxtFirstname()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getTxtLastname()">getTxtLastname()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getTxtLogin()">getTxtLogin()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getTxtLogin()">getTxtLogin()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/LoginView.html#getTxtPassword()">getTxtPassword()</a></span> - Method in class views.<a href="../views/LoginView.html" title="class in views">LoginView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../views/ModifDelView.html#getTxtPassword()">getTxtPassword()</a></span> - Method in class views.<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#getUser_role()">getUser_role()</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
